#1170 crash on launch freemind 1.0.0

FreeMind_1.0.0
closed-fixed
None
5
2014-01-05
2013-10-21
utnik
No

i can't open freemind 1.0.0 – it always crashes at launch.
freemind 1.0.0rc5 doesn't show this problem.

macOS 10.6.8
java 1.6.0_65-b14-462

1 Attachments

Discussion

  • Hi,

    there was a java update to 1.7.40 in between. It is obviously used in your case. Can you try another mac, please? TIA, Chris

     
  • utnik
    utnik
    2013-10-22

    i tested it on two macbooks (different hardware, but the same os 10.6.8) – it was the same:
    - freemind 1.0.0 crashes at startup
    - freemind 1.0.0rc5 runs

    i don't have access to another mac at the moment.
    if there's an opportunity, i'll try it of course…

     
  • utnik
    utnik
    2013-10-22

    …now i looked inside the package on the .dmg of freemind 1.0.0 – yes, there is a plugin named 'jdk1.7.0_40.jdk' in 1.0.0rc5 tis was 'jdk1.7.0_25.jdk' – both of them are a higher version than the installed 1.6.0_65 – this should not be the problem… (and 1.6.0_65 is the latest for macOS 10.6.8 anyway…)

     
  • Hi,

    are you able to play a little with this? It would be helpful to know, what happens when you
    1.) exchange 1.7.40 by 1.7.25 from the RC5
    2.) exchange 1.7.x by a symbolic link to your 1.6

    TIA, Chris

     
  • utnik
    utnik
    2013-10-22

    hi chris

    if iexchange the virtual machine ('jdk1.7.0_25.jdk' or a link to my 'jdk1.6.0' or a copy of 'jdk1.6.0' – doesn't matter…) and try to launch freemind, nothing happens – not even the error message pops up. the console shows the attached message.

     
  • utnik
    utnik
    2013-11-16

    the only solution i found was to move to os 10.9 – now freemind works! (i hope, i won't run in too many problems with other software…)

     
  • Marco Ferretti
    Marco Ferretti
    2013-12-06

    confirmed here.
    Latest stable on mac os 10.6.8 crashes on startup with the following message

    Checking Java Version...
    2013-12-06 18:44:48.159 java[8639:903] NSInvocation: warning: object 0x108c5f390 of class 'ThreadUtilities' does not implement methodSignatureForSelector: -- trouble ahead
    2013-12-06 18:44:48.162 java[8639:903]
    NSInvocation: warning: object 0x108c5f390 of class 'ThreadUtilities' does not implement doesNotRecognizeSelector: --

    no problem with RC 5

    doesn't seem to depend on Java 6 :
    $ java -version
    java version "1.7.0_45"
    Java(TM) SE Runtime Environment (build 1.7.0_45-b18)
    Java HotSpot(TM) 64-Bit Server VM (build 24.45-b08, mixed mode)

    hope it helps

     
  • Daniel Sklar
    Daniel Sklar
    2013-12-24

    I encountered the same issue with Freemind 1.0.0 dated October 16, 2013 - crashing at launch. I am running Mac OS X Version 10.6.8 and Java 1.6.0_65-b14-462.

    **** start of crash log
    Process: JavaAppLauncher [84893]
    Path: /Applications/FreeMind.app/Contents/MacOS/JavaAppLauncher
    Identifier: freemind.main.FreeMind
    Version: 1.0.0 (build: 0) (1)
    Code Type: X86-64 (Native)
    Parent Process: launchd [178]

    Date/Time: 2013-12-24 17:59:50.182 -0500
    OS Version: Mac OS X 10.6.8 (10K549)
    Report Version: 6
    **** continues

    FreeMind RC_5 worked fine.

    I do not want to upgrade to Mavericks at this time. Is there a work around / fix for 1.0.0?

    Thanks,
    Daniel

    Thanks,
    Daniel

     
    Last edit: Daniel Sklar 2013-12-26
  • Hi Daniel,

    can you please try my advice (to upgrade to exactly java version 1.7.25)? TIA, Chris

     
  • utnik
    utnik
    2013-12-29

    unfortunately no java version higher than 1.6 runs on macOS 10.6.8…

     
  • Daniel Sklar
    Daniel Sklar
    2013-12-30

    Chris,

    I could be mistaken, but it looks like Java 1.6.0_65 is the highest "approved by Apple" version available for Mac OS X 10.6.8 (Snow Leopard).

    Reasons for my thinking:
    - The "Software Update" command in OS X states "Your software is up to date. Software Update doesn’t have any new software for your computer at this time." The Software Update does update Java when available.
    - The most current Java version listed in Apple security updates is October 15, 2013 (http://support.apple.com/kb/HT1222) This was installed to get to Java version 1.6.0_65.
    - There appears to be a workaround to install Java 1.7 on Snow Leopard, but it is too complicated for me to do personally and could break other things. This was the best write-up I could find: http://jksha.blogspot.se/2013/09/java-7-and-snow-leopard-osx-106.html

    Does this sound right?
    Thanks,
    Daniel

     
  • utnik
    utnik
    2013-12-30

    hi daniel

    i found this 'workaround' too, but it didn't work on my machine.
    i was able to install 'jdk1.7.0_40' and it has been (sort of) recognised – at least it was listed as the current java version – but no java based software was running on it. so i went back to 1.6 (and later installed os 10.9…)

    regards
    utnik

     
  • Hi Daniel,

    can you please try the following image here:

    <edit>
    http://sourceforge.net/projects/freemind/files/freemind/1.0.0/FreeMind1.0.0_for_10.6.8.dmg/download

    It was created as follows: install 1.0.0, donwload 1.0.0RC5, open the dmg, show package contents of FreeMind (RC5) and the installed FreeMind 1.0.0, copy Java 1.7.25 from RC5 into FreeMind/contents/plugins, remove the java 1.7.0.45, and finally change in the info.plist file the java version.

    On my box, the application from the dmg above uses the embedded 1.7.0.25 java (this can be checked in the help->log file section).

    HTH, Chris

     
    Last edit: Christian Foltin 2014-01-26
  • Daniel Sklar
    Daniel Sklar
    2013-12-30

    Chris,

    Thank you. I downloaded the image and installed FreeMind2. It opens fine, and I did a little bit of testing with a couple of existing maps and a new map. All worked well.

    I appreciate it very much. If I encounter any issue in the future, I will document it and note it is with the 10.6.8.dmg version.

    Daniel

     
    • status: open --> closed-fixed
    • assigned_to: Christian Foltin